//: C02:SimpleDateTest.cpp
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
//{L} Date
#include <iostream>
#include "date.h" // Z přílohy B
using namespace std;

// Testovací proces
int nProslo = 0, nSelhalo = 0;
void test(bool t) { if(t) nProslo++; else nSelhalo++; }

int main() {
  Datum mojeNarozky(1951, 10, 1);
  test(mojeNarozky.getRok() == 1951);
  test(mojeNarozky.getMesic() == 10);
  test(mojeNarozky.getDen() == 1);
  cout << "Prošlo: " << nProslo << ", Neprošlo: "
       << nSelhalo << endl;
}
/* Očekávaný výsledek:
Prošlo: 3, Neprošlo: 0
*/ ///:~
